wiki:Installation/Fedora

Version 8 (modified by MarcusWalther, 12 years ago) (diff)

--

Prerequisities for installation on Fedora systems

Error: Failed to load processor NewsFlash
No macro or processor named 'NewsFlash' found

Please be sure that you have the following packages installed:

  • gcc
  • tcsh
  • nedit
  • imake
  • xterm
  • libXp-devel
  • libXpm-devel
  • libXft-devel
  • libXmu-devel
  • libjpeg-devel (Fedora <=13)
  • libjpeg-turbo-devel (Fedora 14)
  • libpng-devel
  • xorg-x11-fonts-ISO8859-1-75dpi

Using yum you can install all necessary packages by running:

yum install gcc tcsh nedit imake xterm libXp-devel libXpm-devel libXft-devel libXmu-devel libpng-devel libjpeg-devel xorg-x11-fonts-ISO8859-1-75dpi

Fedora offers no packages for OpenMotif development (official announcement). Suitable RPMs for Fedora 11 and 12 can be found at the Stanford university. For Fedora 13 and 14 please use packages provided by Scientific Linux 6 (alternatively use RHEL 6 sources). Depending on your architecture please download three packages (list of mirrors, go to scientific/6x/i386/os/Packages/ or scientific/6x/x86_64/os/Packages/):

  • openmotif
  • openmotif-devel
  • openmotif22

Install all RPMs using

yum --nogpgcheck localinstall openmotif*.rpm

Now proceed with download and installation of SH/SHM.

Known issues

No distribution specific problems know.

Attachments